# class ExpFunction | Helper class to declare a native function. More...
Full name | `TelEngine::ExpFunction`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::ExpOperation [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ExpFunction (const char* name, long int argc = 0, bool barrier = false)
- virtual bool valBoolean () const
- virtual ExpOperation* clone (const char* name) const

## Detailed Description

Small helper class that simplifies declaring native functions

inline ExpFunction (const char* name, long int argc = 0, bool barrier = false) | ### ExpFunction

Constructor

Parameters:

name | Name of the function
argc | Number of arguments expected by function
barrier | True if the function is an expression barrier on the stack

bool valBoolean () | ### valBoolean

[const virtual]

Retrieve the boolean value of the function (not of its result)

Returns: Always true

Reimplemented from ExpOperation.

ExpOperation* clone (const char* name) | ### clone

[const virtual]

Clone and rename method

Parameters:

name | Name of the cloned operation

Returns: New operation instance

Reimplemented from ExpOperation.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.